EZCart Docs
ApiV1StoreProductsBy slugSlug

Get a single product by its URL slug

Get a single product by its URL slug. Useful for storefront routing where URLs use slugs instead of IDs.

GET
/v1/store/products/by-slug/{slug}

Path Parameters

slug*string

Response Body

application/json

curl -X GET "https://api-pub.ezcart.io/v1/store/products/by-slug/string"
{
  "id": "string",
  "slug": {},
  "name": "string",
  "description": "string",
  "sku": "string",
  "originalPrice": 0,
  "salePrice": {},
  "thumbnail": {},
  "images": [
    "string"
  ],
  "tags": [
    "string"
  ],
  "productType": {},
  "unitName": {},
  "attributes": {},
  "seo": {
    "metaTitle": {},
    "metaDescription": {},
    "metaKeywords": [
      "string"
    ],
    "ogImage": {}
  },
  "sizeGuide": {},
  "categories": [
    {
      "id": "string",
      "name": "string",
      "slug": "string"
    }
  ],
  "variants": [
    {
      "id": "string",
      "originalPrice": 0,
      "salePrice": {},
      "inStock": true,
      "lowStock": true,
      "images": [
        "string"
      ],
      "optionValues": {
        "property1": "string",
        "property2": "string"
      }
    }
  ],
  "variantOptions": [
    {
      "key": "string",
      "values": [
        "string"
      ],
      "position": 0
    }
  ],
  "createdAt": "2019-08-24T14:15:22Z"
}